scala.xml.factory
class LoggedNodeFactory

[source: `scala/xml/factory/LoggedNodeFactory.scala`]

`abstract` `class` LoggedNodeFactory[A <: Node]
  `extends` NodeFactory[A]`with` Logged

  This class logs what the nodefactory is actually doing. If you want to see what happens during loading, use it like this:

        object testLogged extends Application {

          val x = new scala.xml.nobinding.NoBindingFactoryAdapter
                with scala.xml.LoggedNodeFactory[scala.xml.Elem]()
                with scala.util.logging.ConsoleLogger;

          Console.println("Start");

          val doc = x.loadXML(new org.xml.sax.InputSource("http://lamp.epfl.ch/~buraq"));

          Console.println("End");

          Console.println(doc);
        }

Author
  Burak Emir
Version
  1.0

Value Summary
`final val` | CACHE : Int = 1
`final val` | FULL : Int = 2
`final val` | NONE : Int = 0
`val` | logComment : Boolean
`val` | logCompressLevel : Int 0 = no loggging, 1 = cache hits, 2 = detail
`val` | logNode : Boolean
`val` | logProcInstr : Boolean
`val` | logText : Boolean

Values and Variables inherited from NodeFactory
ignoreComments, ignoreProcInstr, cache

Method Summary
`override def` | makeComment (s : String) : Seq[Comment]
`override def` | makeNode (pre : String, label : String, attrSeq : MetaData, scope : NamespaceBinding, children : Seq[Node]) : A logged version of makeNode method
`override def` | makeProcInstr (t : String, s : String) : Seq[ProcInstr]
`override def` | makeText (s : String) : Text

Methods inherited from Logged
log

Methods inherited from NodeFactory
create (abstract), construct, eqElements, nodeEquals

Methods inherited from AnyRef
getClass, hashCode, equals, clone, toString, notify, notifyAll, wait, wait, wait, finalize, ==, !=, eq, ne, synchronized

Methods inherited from Any
==, !=, isInstanceOf, asInstanceOf

Value Details

`` `val` logNode : Boolean

`` `val` logText : Boolean

`` `val` logComment : Boolean

`` `val` logProcInstr : Boolean

`final` `val` NONE : Int

`final` `val` CACHE : Int

`final` `val` FULL : Int

`` `val` logCompressLevel : Int

  0 = no loggging, 1 = cache hits, 2 = detail

Method Details

`override` `def` makeNode(pre : String, label : String, attrSeq : MetaData, scope : NamespaceBinding, children : Seq[Node]) : A

  logged version of makeNode method

Overrides
  NodeFactory.makeNode

`override` `def` makeText(s : String) : Text

Overrides
  NodeFactory.makeText

`override` `def` makeComment(s : String) : Seq[Comment]

Overrides
  NodeFactory.makeComment

`override` `def` makeProcInstr(t : String, s : String) : Seq[ProcInstr]

Overrides
  NodeFactory.makeProcInstr